// PlugInGridDlg.cpp : インプリメンテーション ファイル
//

#include "stdafx.h"
#include "resource.h"
#include "ShitarabianDllImp.h"
#include "DocumentIF.h"
#include "SettingDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


/////////////////////////////////////////////////////////////////////////////
// CSettingDlg ダイアログ


CSettingDlg::CSettingDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSettingDlg::IDD, pParent)
	, m_pPlugIn( NULL )
{
	//{{AFX_DATA_INIT(CSettingDlg)
	m_bEnable = FALSE;
	m_strExePath = _T("");
	m_bEmphasis = FALSE;
	//}}AFX_DATA_INIT


	m_colGrid = RGB(0,0,0);
}


void CSettingDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSettingDlg)
	DDX_Check(pDX, IDC_PRNSCR_ENABLE, m_bEnable);
	DDX_Text(pDX, IDC_PRNSCR_EXEPATH, m_strExePath);
	DDX_Check(pDX, IDC_PRNSCR_EMPHASIS, m_bEmphasis);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSettingDlg, CDialog)
	//{{AFX_MSG_MAP(CSettingDlg)
	ON_WM_SHOWWINDOW()
	ON_BN_CLICKED(IDC_PRNSCR_REF, OnPrnscrRef)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSettingDlg メッセージ ハンドラ

void CSettingDlg::OnOK()
{
	UpdateData( TRUE );
	CDialog::OnOK();
}

void CSettingDlg::OnShowWindow(BOOL bShow, UINT nStatus) 
{
	CDialog::OnShowWindow(bShow, nStatus);
	UpdateData( FALSE );
}

void CSettingDlg::OnPrnscrRef() 
{
	UpdateData( FALSE );

	CFileDialog		dlg(
		TRUE,			// ← TRUEなら『開く』、FALSEなら、『名前を付けて保存』となる
		"exe",			// ← デフォルトのファイル拡張子(NULLならなし)
		NULL,			// ← 初期表示されるファイル名(NULLならなし)
		OFN_FILEMUSTEXIST,
		"EXE（実行ファイル）|*.exe|"	// ← ファイルの拡張子の種類
	);

	if ( dlg.DoModal() == IDOK )
	{
		m_strExePath = dlg.GetPathName();
	}
	UpdateData( FALSE );
}
